org.deidentifier.arx.gui.model

## Class ModelLocalRecoding

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelLocalRecoding

All Implemented Interfaces:
  java.io.Serializable

    public class ModelLocalRecoding
    extends java.lang.Object
    implements java.io.Serializable

A model for local recoding

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ModelLocalRecoding.LocalRecodingMode` Possible modes for local recoding

### Constructor Summary

Constructors
Constructor and Description
`ModelLocalRecoding()`

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAdaptionFactor()` Getter
`double` `getGsFactor()` Getter
`ModelLocalRecoding.LocalRecodingMode` `getMode()` Getter
`int` `getNumIterations()` Getter
`void` `setAdaptionFactor(double adaptionFactor)` Setter
`void` `setGsFactor(double gsFactor)` Setter
`void` `setMode(ModelLocalRecoding.LocalRecodingMode mode)` Setter
`void` `setNumIterations(int numIterations)` Setter

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelLocalRecoding

    public ModelLocalRecoding()

### Method Detail

#### getAdaptionFactor

    public double getAdaptionFactor()

Getter

Returns:

#### getGsFactor

    public double getGsFactor()

Getter

Returns:

#### getMode

    public ModelLocalRecoding.LocalRecodingMode getMode()

Getter

Returns:

#### getNumIterations

    public int getNumIterations()

Getter

Returns:

#### setAdaptionFactor

    public void setAdaptionFactor(double adaptionFactor)

Setter

Parameters:
  `mode` -

#### setGsFactor

    public void setGsFactor(double gsFactor)

Setter

Parameters:
  `gsFactor` -

#### setMode

    public void setMode(ModelLocalRecoding.LocalRecodingMode mode)

Setter

Parameters:
  `mode` -

#### setNumIterations

    public void setNumIterations(int numIterations)

Setter

Parameters:
  `numIterations` -